import java.util.ArrayList;
import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner upis = new Scanner(System.in);


        int N = upis.nextInt();


        int L = upis.nextInt();


        if (L < 1 || L > 1000000000) {
            System.out.println("Greska unos");
            return;
        }

        ArrayList<Integer> H = new ArrayList<>();


        for (int i = 0; i < N; i++) {
            if (!upis.hasNextInt()) {
                System.out.println("Greska unos");
                return;
            }
            int prim = upis.nextInt();
            if (prim < 1 || prim > 1000000000) {
                System.out.println("Greska unos");
                return;
            }
            H.add(prim);
        }
        for (int i = 0; i < N; i++) {
            if (L >= H.get(i)) {
                System.out.println(i + 1);
                return;
            }
        }
        System.out.println("-1");
    }
}